Subject: Re: dtc: Add valgrind support to testsuite

From: Jon Loeliger <[email-masked]>
Date: Mon, 26 Nov 2007 16:10:39 -0600

So, like, the other day David Gibson mumbled:
> This patch adds some options to the run_tests.sh script allowing it to
> run all the testcases under valgrind to check for pointer corruption
> bugs and memory leaks.  Invoking "make checkm" will run the testsuite
> with valgrind.
> 
> It include a mechanism for specifying valgrind errors to be suppressed
> on a per-testcase basis, and adds a couple of such suppression files
> for the mangle-layout and open_pack testcases which dump for use by
> other testcases a buffer which may contain uninitialized sections.  We
> use suppressions rather than initializing the buffer so that valgrind
> will catch any internal access s to the uninitialized data, which
> would be a bug.
> 
> The patch also fixes one genuine bug caught by valgrind -
> _packblocks() in fdt_rw.c was using memcpy() where it should have been
> using memmove().
> 
> At present the valgrinding won't do anything useful for testcases
> invoked via a shell script - which includes all the dtc testcases.  I
> plan to fix that later.
> 
> Signed-off-by: David Gibson <[email-masked]>

Applied.

Thanks,
jdl

PS -- Clearly, I'm going to have to break down and install valgrind now. :-)